Contacts
Get Unsubscribe Groups
Returns an array of unsubscribe group
GET
/
contacts
/
{id}
/
unsubscribe-groups
curl --request GET \
--url https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
fetch('https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups', {
method: 'GET',
headers: {
'Authorization': 'Bearer <token>'
}
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
<?php
$url = 'https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer <token>'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
package main
import (
"fmt"
"net/http"
)
func main() {
url := "https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
import java.net.HttpURLConnection;
import java.net.URL;
public class GetUnsubscribeGroups {
public static void main(String[] args) {
try {
URL url = new URL("https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups");
HttpURLConnection con = (HttpURLConnection) url.openConnection();
con.setRequestMethod("GET");
con.setRequestProperty("Authorization", "Bearer <token>");
int status = con.getResponseCode();
System.out.println("Response Status: " + status);
} catch (Exception e) {
e.printStackTrace();
}
}
}
require 'net/http'
require 'uri'
uri = URI('https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri.path)
request['Authorization'] = 'Bearer <token>'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"groups": [
{
"groupId": "20XWO",
"name": "Our blog"
}
]
}
}
curl --request GET \
--url https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
fetch('https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups', {
method: 'GET',
headers: {
'Authorization': 'Bearer <token>'
}
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
<?php
$url = 'https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer <token>'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
package main
import (
"fmt"
"net/http"
)
func main() {
url := "https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
import java.net.HttpURLConnection;
import java.net.URL;
public class GetUnsubscribeGroups {
public static void main(String[] args) {
try {
URL url = new URL("https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups");
HttpURLConnection con = (HttpURLConnection) url.openConnection();
con.setRequestMethod("GET");
con.setRequestProperty("Authorization", "Bearer <token>");
int status = con.getResponseCode();
System.out.println("Response Status: " + status);
} catch (Exception e) {
e.printStackTrace();
}
}
}
require 'net/http'
require 'uri'
uri = URI('https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri.path)
request['Authorization'] = 'Bearer <token>'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"groups": [
{
"groupId": "20XWO",
"name": "Our blog"
}
]
}
}
Authorizations
string | header
required
Bearer authentication header of the form Bearer
<token>, where <token> is your auth token.Path Parameters
string
required
Unique id of the contactExample:
"507f1f77bcf86cd799439011"Response
Unsubscribe groups retrieved successfullyboolean
Indicates if the request was successfulExample:
trueWas this page helpful?
⌘I
curl --request GET \
--url https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
fetch('https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups', {
method: 'GET',
headers: {
'Authorization': 'Bearer <token>'
}
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
<?php
$url = 'https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer <token>'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
package main
import (
"fmt"
"net/http"
)
func main() {
url := "https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
import java.net.HttpURLConnection;
import java.net.URL;
public class GetUnsubscribeGroups {
public static void main(String[] args) {
try {
URL url = new URL("https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups");
HttpURLConnection con = (HttpURLConnection) url.openConnection();
con.setRequestMethod("GET");
con.setRequestProperty("Authorization", "Bearer <token>");
int status = con.getResponseCode();
System.out.println("Response Status: " + status);
} catch (Exception e) {
e.printStackTrace();
}
}
}
require 'net/http'
require 'uri'
uri = URI('https://api.autosend.com/v1/contacts/{id}/unsubscribe-groups')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri.path)
request['Authorization'] = 'Bearer <token>'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"groups": [
{
"groupId": "20XWO",
"name": "Our blog"
}
]
}
}